module Sound.SC3.UGen.Record.Convolution3 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Convolution3 = Convolution3 {
  rate :: S.Rate,
  input :: S.UGen,
  kernel :: S.UGen,
  trigger :: S.UGen,
  framesize :: S.UGen
  } deriving (Show)
convolution3 :: Convolution3
convolution3 = Convolution3 {
  rate = S.AR,
  input = 0.0,
  kernel = 0.0,
  trigger = 0.0,
  framesize = 0.0
  }
mkConvolution3 :: Convolution3 -> S.UGen
mkConvolution3 (Convolution3 r a' b' c' d') = S.mkOsc r "Convolution3" [a',b',c',d'] 1
instance Make Convolution3 where
  ugen = mkConvolution3
