module Sound.SC3.UGen.Record.Onsets where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Onsets = Onsets {
  chain :: S.UGen,
  threshold :: S.UGen,
  odftype :: S.UGen,
  relaxtime :: S.UGen,
  floor_ :: S.UGen,
  mingap :: S.UGen,
  medianspan :: S.UGen,
  whtype :: S.UGen,
  rawodf :: S.UGen
  } deriving (Show)
onsets :: Onsets
onsets = Onsets {
  chain = 0.0,
  threshold = 0.5,
  odftype = 3.0,
  relaxtime = 1.0,
  floor_ = 0.1,
  mingap = 10.0,
  medianspan = 11.0,
  whtype = 1.0,
  rawodf = 0.0
  }
mkOnsets :: Onsets -> S.UGen
mkOnsets (Onsets  a' b' c' d' e' f' g' h' i') = S.mkOsc S.KR "Onsets" [a',b',c',d',e',f',g',h',i'] 1
instance Make Onsets where
  ugen = mkOnsets
